Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Hash_Cache_Map_Manager_T.h File Reference

`#include "ace/Hash_Map_Manager_T.h"`
`#include "ace/Cache_Map_Manager_T.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/Hash_Cache_Map_Manager_T.i"`
`#include "ace/Hash_Cache_Map_Manager_T.cpp"`

Include dependency graph for Hash_Cache_Map_Manager_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Hash_Cache_Map_Manager
| Defines a abstraction which will purge entries from a map. The map considered is the ACE_Hash_Map_Manager_Ex. More...
## Defines
#define | ACE_CACHE_MAP_MANAGER
#define | ACE_Hash_Cache_Map_Manager AHCMM

## Detailed Description

Id:
  Hash_Cache_Map_Manager_T.h,v 4.16 2003/08/04 03:53:51 dhinton Exp

Author:
  Kirthika Parameswaran <kirthika@cs.wustl.edu>

## Define Documentation

#define ACE_CACHE_MAP_MANAGER

| Value:
    ACE_Cache_Map_Manager<KEY, \
                                  VALUE, \
                                  ACE_Hash_Map_Manager_Ex<KEY, ACE_Pair<VALUE, ATTRIBUTES>, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex>, \
                                  ACE_Hash_Map_Iterator_Ex<KEY, ACE_Pair<VALUE, ATTRIBUTES>, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex>, \
                                  ACE_Hash_Map_Reverse_Iterator_Ex<KEY, ACE_Pair<VALUE, ATTRIBUTES>, HASH_KEY, COMPARE_KEYS, ACE_Null_Mutex>, \
                                  CACHING_STRATEGY, \
                                  ATTRIBUTES>

#define ACE_Hash_Cache_Map_Manager AHCMM